<bugID>1194895<Summary>New tab page has unnecessary (or marginally-necessary) vertical scrollbar at various sizes</Summary><Description>Starting in today's Nightly (I think), I'm seeing a vertical scrollbar much more frequently on about:newtab.

This includes cases where:
 (1) the only tiles which are out of view (and forcing the vertical scrollbar) are *empty dotted-border tiles*.  (It makes some sense that these blank tiles would appear when there's space for them, but not when there's no space.)

 (2) the only tiles which are out of view (and forcing the vertical scrollbar) are tiles that we're happy to leave un-displayed at other window-sizes.  E.g. if I make my window wide enough to show 2 tiles side-by-side, then about:newtab renders with 6 tiles (3 rows of 2), regardless of how tall the window is. But if I make my window skinnier, it only shows 3 tiles (3 rows of 1).

The presence of a scrollbar (i.e. the fact that we're showing too-many-tiles-to-fit-my-viewport) seems broken to me, in both (1) and (2), but especially (1).

I'm assuming this is a regression from bug 1180387, based on looking at recent commits that mention "New Tab" in their commit message.</Description></bugID>